d.out.file(1)

NAME
d.out.file - Saves the contents of the active display monitor to a graphics file.

KEYWORDS
display, export, output

SYNOPSIS
d.out.file
d.out.file --help
d.out.file output=name format=string [size=width,height] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

output=name [required]
    Name for output file

format=string [required]
    Graphics file format
    Options: png, jpg, bmp, gif, tif
    Default: png

size=width,height
    Width and height of output image

DESCRIPTION
d.out.file saves the content of the currently selected monitor into graphic file. The active monitor can be selected with d.mon. d.out.file can be run from GUI Console tab, too.

SEE ALSO
d.redraw, d.erase, d.rast, d.vect, d.mon

AUTHOR
Anna Petrasova, NCSU GeoForAll Lab

SOURCE CODE

Available at: d.out.file source code (history)

Latest change: Friday Feb 07 19:16:09 2025 in commit: a82a39f673b97fafcfce1604dc3e6015cb96487a

Main index | Display index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual